﻿Public Class DentalPaymentForm

    'Name: DentalPayment
    'Author: Deitel
    'Purpose: Demonstrate the logical operations and checkboxes


    ' handles Click event
    Private Sub calculateButton_Click(ByVal sender As System.Object, _
       ByVal e As System.EventArgs) Handles btnCalculate.Click

        ' clear text displayed in Label
        lblResult.Text = ""

        ' if no name entered or no CheckBox checked, display message
        If (txtName.Text = "") OrElse _
         (chkClean.Checked = False AndAlso _
          chkXray.Checked = False AndAlso _
          chkCavity.Checked = False) Then


            ' display an error message in a dialog
            MessageBox.Show( _
               "Please enter a name and check at least one item", _
               "Missing Information", MessageBoxButtons.OK, _
               MessageBoxIcon.Error)
        Else ' add prices

            ' total contains amount to bill patient
            Dim dblTotal As Double
            dblTotal = 0

            ' if patient had a cleaning
            If chkClean.Checked = True Then
                dblTotal += Val(lblCleanCost.Text)

            End If

            ' if patient had a cavity filled
            If chkCavity.Checked = True Then
                dblTotal += Val(lblFillingCost.Text)

            End If

            ' if patient had an X-Ray taken
            If chkXray.Checked = True Then
                dblTotal += Val(lblXrayCost.Text)
            End If

            ' display the total
            lblResult.Text = String.Format("{0:C}", dblTotal)
        End If
    End Sub ' calculateButton_Click
End Class ' DentalPaymentForm

' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************